package com.yida.data.common.core.entity.user.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 学生学籍状态枚举
 */
@Getter
@AllArgsConstructor
public enum StudentStatusEnum {

    ZAIDU("zaidu", "在读"),
    BIYE("biye", "毕业"),
    TUIXUE("tuixue", "退学"),
    XIUXUE("xiuxue", "休学"),
    TINGXUE("tingxue", "停学"),
    FUXUE("fuxue", "复学"),
    LIUSHI("liushi", "流失"),
    JIEYE("jieye", "结业"),
    YIYE("yiye", "肄业"),
    ZHUANXUE("zhuanxue", "转学（转出）"),
    SIWANG("siwang", "死亡"),
    BAOLIURUXUEZIGE("baoliuruxuezige", "保留入学资格"),
    GONGPAICHUGUO("gongpaichuguo", "公派出国"),
    KAICHU("kaichu", "开除"),
    XIALUOBUMING("xialuobuming", "下落不明"),
    CANJUN("canjun", "保留学籍（参军）"),
    WEIBAODAO("weibaodao", "未报到"),
    QITA("qita", "其他");

    /**
     * 家校部门类型
     */
    private final String status;

    /**
     * 家校类型名称
     */
    private final String name;
}
